Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8204853 [JVMCI][Graal] add support for AOT compiling Graal with SubstrateVM
  3. JDK-8207267

Enable tests which currently do not run with Java Graal to run with libgraal

    XMLWordPrintable

    Details

    • Subcomponent:
    • CPU:
      generic
    • OS:
      generic

      Description

      Currently we have a lot of tests guarded by @requires !vm.graal.enabled to avoid running with Java Graal because known issues: affects on Java heap, slow startup, timeouts when Tiered compilation is of (Graal have to compile itself).
      We should make sure to be able run all these test with libgraal.so which should not have these issues.
      vm.graal.enabled should be false in libgraal.so case. May be rename vm.graal.enabled to vm.javagraal.enabled to distinguish Graal run as Java application in Hotspot vs libgraal.so

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kvn Vladimir Kozlov
              Reporter:
              kvn Vladimir Kozlov
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated: